#ifndef WMMDISC_H
#define WMMDISC_H

/*
 * WMM - Wave-matching method for mode analysis of dielectric waveguides
 * https://wmm.computational-photonics.eu/
 */

/*
 * wmmdisc.h
 * spectral discretisation procedures --- set up the trial function set
 */

/* set trial function parameters, depending on propagation constant */ 
void settfpars();

/* the spectral discretization procedure */
#define SD_INI 0.0
#define SD_FIN 1.0
void specdisc(double sdm, double b0, double b1, double b2);

/* save spectral discretization for diagnosis purposes */
void diagspecdisc();

#endif // WMMDISC_H
