/*
 * WMM - Wave-matching method for mode analysis of dielectric waveguides
 * https://wmm.computational-photonics.eu/
 */

/*
 * wmminc.h
 * "includes" for a WMM based main.cpp
 */

// file input / output functions 
#include"inout.h"
// handling complex numbers 
#include"complex.h"
// basic vectors, matrices 
#include"matrix.h"
// waveguide definition 
#include"waveg.h"
// relations concerning the electromagnetic fields for waveguide modes  
#include"maxweq.h"
// output to MATLAB .m -files, visualization  
#include"wmmvis.h"
// general mode definitions 
#include"mode.h"
// trial functions, the basic solutions to the Helmholtz wave equation
#include"wmmtrif.h"
// WMM specific procedures for evaluating the mode profile
#include"wmmfld.h"
// Arrays of WMM_Modes
#include"wmmarr.h"
// WMM mode analysis
#include"wmm.h"
// WMM Coupled Mode Theory 
#include"wmmcmt.h"

